{% extends "base.html" %}

{% block content %}

<div class="row">
<div class="col-sm-8">
    {% for post in posts %}
    <div class="card mb-3">
        <div class="card-header">
            <strong>
                <button class="btn btn-light btn-sm">
                    <a href="{{ url_for('like_action', post_id=post.id, action='like') }}"><i class="fas fa-arrow-up"></i></a> 
                </button>
                {{ post.likes.count() }} 
                <button class="btn btn-light btn-sm">
                    <a href="{{ url_for('like_action', post_id=post.id, action='unlike') }}"><i class="fas fa-arrow-down"></i></a>
                </button>
            </strong> r/{{post.subreddit.subreddit_name}} •<span class="text-muted" style="font-size: 10pt;"> Posted by u/{{ user.username }} {{moment(post.timestamp).fromNow()}} ago</span>
            <!-- <button type="button" class="btn btn-primary" style="font-size: 10pt;"><a href="#" style="text-decoration: none; color: white">+Join</a></button> -->
        </div>
        <div class="card-body">
            <h5 class="card-title">{{ post.title }}</h5>
            <p class="card-text">
                {{ post.body }}
            </p>
        </div>
        <div class="card-footer text-muted">
            <a href="" class="btn btn-light btn-sm"><i class="fas fa-comment"></i> 0 Comments</a>
            <a href="" class="btn btn-light btn-sm"><i class="fas fa-share"></i> Share</a>
        </div>
    </div>
    {% endfor %}
</div>


<div class="col-sm-4">
<div class="card" style="width: 18rem;">
    <img class="card-img-top" src="/static/reddit.png" alt="Profile Image">
    <div class="card-body">
      <h5 class="card-title">{{ user.username }}</h5>
      <p class="card-text">{{ user.about_me }}</p>
    </div>
    <ul class="list-group list-group-flush">
      <li class="list-group-item">Total Posts: {{posts.count() }}</li>
                    
    </ul>
    <button class="btn btn-light btn-sm">
            <a href="{{ url_for('edit_profile') }}">Edit your profile</a>
    </button>
  </div>
</div>
</div>  
{% endblock %}

